CVE-2019-9636
CVE-2019-9636, security advisory, novell, suse linux, suse, security, cve

CVE-2019-9636

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2019-9636 at MITRE

Description

Python 2.7.x through 2.7.16 and 3.x through 3.7.2 is affected by: Improper Handling of Unicode Encoding (with an incorrect netloc) during NFKC normalization. The impact is: Information disclosure (credentials, cookies, etc. that are cached against a given hostname). The components are: urllib.parse.urlsplit, urllib.parse.urlparse. The attack vector is: A specially crafted URL could be incorrectly parsed to locate cookies or authentication data and send that information to a different host than when parsed correctly.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 7.5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High None
Availability Impact High None
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1129346 [RESOLVED / FIXED], 1135433 [NEW], 1138459 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/389-ds:1.4.0
Container caasp/v4/hyperkube:v1.17.4
Container caasp/v4/k8s-sidecar:0.1.75
Image SLES15-EC2-CHOST-HVM-BYOS
Image SLES15-SP1-CHOST-BYOS-Azure
Image SLES15-SP1-CHOST-BYOS-EC2
Image SLES15-SP1-CHOST-BYOS-GCE
Image SLES15-SP1-CHOST-BYOS-OpenStack
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
SUSE Linux Enterprise Workstation Extension 12 SP5
Openstack Cloud Magnum Orchestration 7
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • python >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2019-1439
SUSE CaaS Platform 3.0
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • python >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
Patchnames:
SUSE-CAASP-3.0-2019-1439
SUSE CaaS Platform ALL
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • python >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
Patchnames:
SUSE-CAASP-ALL-2019-1439
SUSE Enterprise Storage 4
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.26.1
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python >= 2.7.13-28.26.1
  • python-32bit >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-base-32bit >= 2.7.13-28.26.1
  • python-curses >= 2.7.13-28.26.1
  • python-demo >= 2.7.13-28.26.1
  • python-devel >= 2.7.13-28.26.1
  • python-doc >= 2.7.13-28.26.1
  • python-doc-pdf >= 2.7.13-28.26.1
  • python-gdbm >= 2.7.13-28.26.1
  • python-idle >= 2.7.13-28.26.1
  • python-tk >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
  • python3-curses >= 3.4.6-25.24.1
Patchnames:
SUSE-Storage-4-2019-1439
SUSE-Storage-4-2019-961
SUSE Enterprise Storage 5
  • python >= 2.7.13-28.26.1
  • python-strict-tls-check >= 2.7.13-28.26.1
Patchnames:
SUSE-Storage-5-2019-1439
SUSE Linux Enterprise Desktop 12 SP3
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.26.1
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-curses >= 2.7.13-28.26.1
  • python-devel >= 2.7.13-28.26.1
  • python-tk >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
  • python3-curses >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-1439
SUSE-SLE-DESKTOP-12-SP3-2019-961
SUSE Linux Enterprise Desktop 12 SP4
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.26.1
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-curses >= 2.7.13-28.26.1
  • python-devel >= 2.7.13-28.26.1
  • python-tk >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
  • python3-curses >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-1439
SUSE-SLE-DESKTOP-12-SP4-2019-961
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libpython2_7-1_0 >= 2.7.17-7.32.1
  • libpython3_6m1_0 >= 3.6.10-3.42.2
  • python >= 2.7.17-7.32.2
  • python-base >= 2.7.17-7.32.1
  • python3 >= 3.6.10-3.42.2
  • python3-base >= 3.6.10-3.42.2
  • python3-curses >= 3.6.10-3.42.2
  • python3-dbm >= 3.6.10-3.42.2
  • python3-devel >= 3.6.10-3.42.2
  • python3-idle >= 3.6.10-3.42.2
  • python3-tk >= 3.6.10-3.42.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-114
SUSE-SLE-Module-Basesystem-15-SP1-2020-234
SUSE Linux Enterprise Module for Basesystem 15
  • libpython2_7-1_0 >= 2.7.17-7.32.1
  • libpython3_6m1_0 >= 3.6.10-3.42.2
  • python >= 2.7.17-7.32.2
  • python-base >= 2.7.17-7.32.1
  • python-curses >= 2.7.17-7.32.2
  • python-devel >= 2.7.17-7.32.1
  • python-gdbm >= 2.7.17-7.32.2
  • python-xml >= 2.7.17-7.32.1
  • python3 >= 3.6.10-3.42.2
  • python3-base >= 3.6.10-3.42.2
  • python3-curses >= 3.6.10-3.42.2
  • python3-dbm >= 3.6.10-3.42.2
  • python3-devel >= 3.6.10-3.42.2
  • python3-idle >= 3.6.10-3.42.2
  • python3-tk >= 3.6.10-3.42.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-971
SUSE-SLE-Module-Basesystem-15-2019-972
SUSE-SLE-Module-Basesystem-15-2020-114
SUSE-SLE-Module-Basesystem-15-2020-234
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • python >= 2.7.17-7.32.2
  • python-tk >= 2.7.17-7.32.2
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP1-2020-234
SUSE Linux Enterprise Module for Desktop Applications 15
  • python >= 2.7.17-7.32.2
  • python-tk >= 2.7.17-7.32.2
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-972
SUSE-SLE-Module-Desktop-Applications-15-2020-234
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • python3-base >= 3.6.10-3.42.2
  • python3-tools >= 3.6.10-3.42.2
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP1-2020-114
SUSE Linux Enterprise Module for Development Tools 15
  • python3-base >= 3.6.10-3.42.2
  • python3-tools >= 3.6.10-3.42.2
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2019-971
SUSE-SLE-Module-Development-Tools-15-2020-114
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • libpython2_7-1_0-32bit >= 2.7.17-7.32.1
  • libpython3_6m1_0-32bit >= 3.6.10-3.42.2
  • python >= 2.7.17-7.32.2
  • python-32bit >= 2.7.17-7.32.2
  • python-base >= 2.7.17-7.32.1
  • python-base-32bit >= 2.7.17-7.32.1
  • python-demo >= 2.7.17-7.32.2
  • python-doc >= 2.7.17-7.32.2
  • python-doc-pdf >= 2.7.17-7.32.2
  • python-idle >= 2.7.17-7.32.2
  • python3 >= 3.6.10-3.42.2
  • python3-32bit >= 3.6.10-3.42.2
  • python3-base >= 3.6.10-3.42.2
  • python3-base-32bit >= 3.6.10-3.42.2
  • python3-doc >= 3.6.10-3.42.3
  • python3-testsuite >= 3.6.10-3.42.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-114
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-234
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • libpython3_6m1_0-32bit >= 3.6.10-3.42.2
  • python >= 2.7.17-7.32.2
  • python-demo >= 2.7.17-7.32.2
  • python-doc >= 2.7.17-7.32.2
  • python-doc-pdf >= 2.7.17-7.32.2
  • python-idle >= 2.7.17-7.32.2
  • python3 >= 3.6.10-3.42.2
  • python3-32bit >= 3.6.10-3.42.2
  • python3-base >= 3.6.10-3.42.2
  • python3-base-32bit >= 3.6.10-3.42.2
  • python3-doc >= 3.6.10-3.42.3
  • python3-testsuite >= 3.6.10-3.42.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-971
SUSE-SLE-Module-Development-Tools-OBS-15-2019-972
SUSE-SLE-Module-Development-Tools-OBS-15-2020-114
SUSE-SLE-Module-Development-Tools-OBS-15-2020-234
SUSE Linux Enterprise Module for Python2 packages 15 SP1
  • python >= 2.7.17-7.32.2
  • python-base >= 2.7.17-7.32.1
  • python-curses >= 2.7.17-7.32.2
  • python-devel >= 2.7.17-7.32.1
  • python-gdbm >= 2.7.17-7.32.2
  • python-xml >= 2.7.17-7.32.1
Patchnames:
SUSE-SLE-Module-Python2-15-SP1-2020-234
SUSE Linux Enterprise Module for Web Scripting 12
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2019-961
SUSE Linux Enterprise Point of Sale 11 SP3
  • libpython2_6-1_0 >= 2.6.9-40.24.1
  • python >= 2.6.9-40.24.1
  • python-base >= 2.6.9-40.24.1
  • python-curses >= 2.6.9-40.24.1
  • python-demo >= 2.6.9-40.24.1
  • python-doc >= 2.6-8.40.24.1
  • python-doc-pdf >= 2.6-8.40.24.1
  • python-gdbm >= 2.6.9-40.24.1
  • python-idle >= 2.6.9-40.24.1
  • python-tk >= 2.6.9-40.24.1
  • python-xml >= 2.6.9-40.24.1
Patchnames:
sleposp3-python-14018
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.26.1
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python >= 2.7.13-28.26.1
  • python-32bit >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-base-32bit >= 2.7.13-28.26.1
  • python-curses >= 2.7.13-28.26.1
  • python-demo >= 2.7.13-28.26.1
  • python-devel >= 2.7.13-28.26.1
  • python-doc >= 2.7.13-28.26.1
  • python-doc-pdf >= 2.7.13-28.26.1
  • python-gdbm >= 2.7.13-28.26.1
  • python-idle >= 2.7.13-28.26.1
  • python-tk >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
  • python3-curses >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-1439
SUSE-SLE-POS-12-SP2-CLIENT-2019-961
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • MozillaFirefox >= 68.2.0-78.51.4
  • MozillaFirefox-branding-SLED >= 68-21.9.8
  • MozillaFirefox-translations-common >= 68.2.0-78.51.4
  • MozillaFirefox-translations-other >= 68.2.0-78.51.4
  • firefox-atk >= 2.26.1-2.8.4
  • firefox-atk-lang >= 2.26.1-2.8.4
  • firefox-cairo >= 1.15.10-2.13.4
  • firefox-gdk-pixbuf >= 2.36.11-2.8.4
  • firefox-gdk-pixbuf-lang >= 2.36.11-2.8.4
  • firefox-gdk-pixbuf-query-loaders >= 2.36.11-2.8.4
  • firefox-gdk-pixbuf-thumbnailer >= 2.36.11-2.8.4
  • firefox-gio-branding-upstream >= 2.54.3-2.14.7
  • firefox-glib2 >= 2.54.3-2.14.7
  • firefox-glib2-lang >= 2.54.3-2.14.7
  • firefox-glib2-tools >= 2.54.3-2.14.7
  • firefox-gtk3 >= 3.10.9-2.15.3
  • firefox-gtk3-branding-upstream >= 3.10.9-2.15.3
  • firefox-gtk3-data >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-amharic >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-inuktitut >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-multipress >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-thai >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-vietnamese >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-xim >= 3.10.9-2.15.3
  • firefox-gtk3-immodules-tigrigna >= 3.10.9-2.15.3
  • firefox-gtk3-lang >= 3.10.9-2.15.3
  • firefox-gtk3-tools >= 3.10.9-2.15.3
  • firefox-harfbuzz >= 1.7.5-2.7.4
  • firefox-libatk-1_0-0 >= 2.26.1-2.8.4
  • firefox-libcairo-gobject2 >= 1.15.10-2.13.4
  • firefox-libcairo2 >= 1.15.10-2.13.4
  • firefox-libffi >= 3.2.1.git259-2.3.3
  • firefox-libffi-gcc5 >= 5.3.1+r233831-14.1
  • firefox-libffi4 >= 5.3.1+r233831-14.1
  • firefox-libffi7 >= 3.2.1.git259-2.3.3
  • firefox-libgdk_pixbuf-2_0-0 >= 2.36.11-2.8.4
  • firefox-libgtk-3-0 >= 3.10.9-2.15.3
  • firefox-libharfbuzz0 >= 1.7.5-2.7.4
  • firefox-libpango-1_0-0 >= 1.40.14-2.7.4
  • firefox-pango >= 1.40.14-2.7.4
  • libfirefox-gio-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-glib-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gmodule-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gobject-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gthread-2_0-0 >= 2.54.3-2.14.7
  • libfreebl3 >= 3.45-38.9.3
  • libfreebl3-32bit >= 3.45-38.9.3
  • libpython2_6-1_0 >= 2.6.9-40.24.1
  • libpython2_6-1_0-32bit >= 2.6.9-40.24.1
  • libsoftokn3 >= 3.45-38.9.3
  • libsoftokn3-32bit >= 3.45-38.9.3
  • mozilla-nspr >= 4.21-29.6.1
  • mozilla-nspr-32bit >= 4.21-29.6.1
  • mozilla-nspr-devel >= 4.21-29.6.1
  • mozilla-nss >= 3.45-38.9.3
  • mozilla-nss-32bit >= 3.45-38.9.3
  • mozilla-nss-certs >= 3.45-38.9.3
  • mozilla-nss-certs-32bit >= 3.45-38.9.3
  • mozilla-nss-devel >= 3.45-38.9.3
  • mozilla-nss-tools >= 3.45-38.9.3
  • python >= 2.6.9-40.24.1
  • python-32bit >= 2.6.9-40.24.1
  • python-base >= 2.6.9-40.24.1
  • python-base-32bit >= 2.6.9-40.24.1
  • python-curses >= 2.6.9-40.24.1
  • python-demo >= 2.6.9-40.24.1
  • python-doc >= 2.6-8.40.24.1
  • python-doc-pdf >= 2.6-8.40.24.1
  • python-gdbm >= 2.6.9-40.24.1
  • python-idle >= 2.6.9-40.24.1
  • python-tk >= 2.6.9-40.24.1
  • python-xml >= 2.6.9-40.24.1
Patchnames:
slessp4-firefox-201910-14246
slessp4-python-14018
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.26.1
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python >= 2.7.13-28.26.1
  • python-32bit >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-base-32bit >= 2.7.13-28.26.1
  • python-curses >= 2.7.13-28.26.1
  • python-demo >= 2.7.13-28.26.1
  • python-devel >= 2.7.13-28.26.1
  • python-doc >= 2.7.13-28.26.1
  • python-doc-pdf >= 2.7.13-28.26.1
  • python-gdbm >= 2.7.13-28.26.1
  • python-idle >= 2.7.13-28.26.1
  • python-tk >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-1439
SUSE-SLE-SERVER-12-SP1-2019-961
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.26.1
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python >= 2.7.13-28.26.1
  • python-32bit >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-base-32bit >= 2.7.13-28.26.1
  • python-curses >= 2.7.13-28.26.1
  • python-demo >= 2.7.13-28.26.1
  • python-doc >= 2.7.13-28.26.1
  • python-doc-pdf >= 2.7.13-28.26.1
  • python-gdbm >= 2.7.13-28.26.1
  • python-idle >= 2.7.13-28.26.1
  • python-tk >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
  • python3-curses >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-1439
SUSE-SLE-SERVER-12-SP2-BCL-2019-961
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.26.1
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python >= 2.7.13-28.26.1
  • python-32bit >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-base-32bit >= 2.7.13-28.26.1
  • python-curses >= 2.7.13-28.26.1
  • python-demo >= 2.7.13-28.26.1
  • python-devel >= 2.7.13-28.26.1
  • python-doc >= 2.7.13-28.26.1
  • python-doc-pdf >= 2.7.13-28.26.1
  • python-gdbm >= 2.7.13-28.26.1
  • python-idle >= 2.7.13-28.26.1
  • python-tk >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
  • python3-curses >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-1439
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-961
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.26.1
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python >= 2.7.13-28.26.1
  • python-32bit >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-base-32bit >= 2.7.13-28.26.1
  • python-curses >= 2.7.13-28.26.1
  • python-demo >= 2.7.13-28.26.1
  • python-devel >= 2.7.13-28.26.1
  • python-doc >= 2.7.13-28.26.1
  • python-doc-pdf >= 2.7.13-28.26.1
  • python-gdbm >= 2.7.13-28.26.1
  • python-idle >= 2.7.13-28.26.1
  • python-tk >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
  • python3-curses >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-1439
SUSE-SLE-SERVER-12-SP2-2019-961
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.26.1
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python >= 2.7.13-28.26.1
  • python-32bit >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-base-32bit >= 2.7.13-28.26.1
  • python-curses >= 2.7.13-28.26.1
  • python-demo >= 2.7.13-28.26.1
  • python-doc >= 2.7.13-28.26.1
  • python-doc-pdf >= 2.7.13-28.26.1
  • python-gdbm >= 2.7.13-28.26.1
  • python-idle >= 2.7.13-28.26.1
  • python-tk >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
  • python3-curses >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1439
SUSE-SLE-SERVER-12-SP3-2019-961
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.26.1
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python >= 2.7.13-28.26.1
  • python-32bit >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-base-32bit >= 2.7.13-28.26.1
  • python-curses >= 2.7.13-28.26.1
  • python-demo >= 2.7.13-28.26.1
  • python-doc >= 2.7.13-28.26.1
  • python-doc-pdf >= 2.7.13-28.26.1
  • python-gdbm >= 2.7.13-28.26.1
  • python-idle >= 2.7.13-28.26.1
  • python-tk >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
  • python3-curses >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1439
SUSE-SLE-SERVER-12-SP4-2019-961
SUSE Linux Enterprise Server 12 SP5
  • libpython2_7-1_0 >= 2.7.13-28.31.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.31.1
  • libpython3_4m1_0 >= 3.4.6-25.29.1
  • libpython3_4m1_0-32bit >= 3.4.6-25.29.1
  • libpython3_6m1_0 >= 3.6.10-4.3.5
  • python-base >= 2.7.13-28.31.1
  • python-base-32bit >= 2.7.13-28.31.1
  • python-devel >= 2.7.13-28.31.1
  • python-xml >= 2.7.13-28.31.1
  • python3-base >= 3.4.6-25.29.1
  • python36 >= 3.6.10-4.3.5
  • python36-base >= 3.6.10-4.3.5
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-302
SUSE Linux Enterprise Server 12-LTSS
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-SERVER-12-2019-961
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.26.1
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python >= 2.7.13-28.26.1
  • python-32bit >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-base-32bit >= 2.7.13-28.26.1
  • python-curses >= 2.7.13-28.26.1
  • python-demo >= 2.7.13-28.26.1
  • python-devel >= 2.7.13-28.26.1
  • python-doc >= 2.7.13-28.26.1
  • python-doc-pdf >= 2.7.13-28.26.1
  • python-gdbm >= 2.7.13-28.26.1
  • python-idle >= 2.7.13-28.26.1
  • python-tk >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-1439
SUSE-SLE-SAP-12-SP1-2019-961
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.26.1
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python >= 2.7.13-28.26.1
  • python-32bit >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-base-32bit >= 2.7.13-28.26.1
  • python-curses >= 2.7.13-28.26.1
  • python-demo >= 2.7.13-28.26.1
  • python-devel >= 2.7.13-28.26.1
  • python-doc >= 2.7.13-28.26.1
  • python-doc-pdf >= 2.7.13-28.26.1
  • python-gdbm >= 2.7.13-28.26.1
  • python-idle >= 2.7.13-28.26.1
  • python-tk >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
  • python3-curses >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-1439
SUSE-SLE-SAP-12-SP2-2019-961
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libpython3_6m1_0 >= 3.6.10-4.3.5
  • python36 >= 3.6.10-4.3.5
  • python36-base >= 3.6.10-4.3.5
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-302
SUSE Linux Enterprise Software Development Kit 12 SP3
  • python-base >= 2.7.13-28.26.1
  • python-devel >= 2.7.13-28.26.1
  • python3-base >= 3.4.6-25.24.1
  • python3-devel >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-1439
SUSE-SLE-SDK-12-SP3-2019-961
SUSE Linux Enterprise Software Development Kit 12 SP4
  • python-base >= 2.7.13-28.26.1
  • python-devel >= 2.7.13-28.26.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
  • python3-dbm >= 3.4.6-25.24.1
  • python3-devel >= 3.4.6-25.24.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-1439
SUSE-SLE-SDK-12-SP4-2019-961
SUSE Linux Enterprise Workstation Extension 12 SP3
  • python-base >= 2.7.13-28.26.1
  • python-devel >= 2.7.13-28.26.1
Patchnames:
SUSE-SLE-WE-12-SP3-2019-1439
SUSE Linux Enterprise Workstation Extension 12 SP4
  • python-base >= 2.7.13-28.26.1
  • python-devel >= 2.7.13-28.26.1
Patchnames:
SUSE-SLE-WE-12-SP4-2019-1439
SUSE OpenStack Cloud 7
  • libpython2_7-1_0 >= 2.7.13-28.26.1
  • libpython2_7-1_0-32bit >= 2.7.13-28.26.1
  • libpython3_4m1_0 >= 3.4.6-25.24.1
  • python >= 2.7.13-28.26.1
  • python-32bit >= 2.7.13-28.26.1
  • python-base >= 2.7.13-28.26.1
  • python-base-32bit >= 2.7.13-28.26.1
  • python-curses >= 2.7.13-28.26.1
  • python-demo >= 2.7.13-28.26.1
  • python-devel >= 2.7.13-28.26.1
  • python-doc >= 2.7.13-28.26.1
  • python-doc-pdf >= 2.7.13-28.26.1
  • python-gdbm >= 2.7.13-28.26.1
  • python-idle >= 2.7.13-28.26.1
  • python-tk >= 2.7.13-28.26.1
  • python-xml >= 2.7.13-28.26.1
  • python3 >= 3.4.6-25.24.1
  • python3-base >= 3.4.6-25.24.1
  • python3-curses >= 3.4.6-25.24.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-1439
SUSE-OpenStack-Cloud-7-2019-961
openSUSE Leap 15.0
  • python >= 2.7.14-lp150.6.10.1
  • python-32bit >= 2.7.14-lp150.6.10.1
  • python-32bit-debuginfo >= 2.7.14-lp150.6.10.1
  • python-curses >= 2.7.14-lp150.6.10.1
  • python-curses-debuginfo >= 2.7.14-lp150.6.10.1
  • python-debuginfo >= 2.7.14-lp150.6.10.1
  • python-debugsource >= 2.7.14-lp150.6.10.1
  • python-demo >= 2.7.14-lp150.6.10.1
  • python-gdbm >= 2.7.14-lp150.6.10.1
  • python-gdbm-debuginfo >= 2.7.14-lp150.6.10.1
  • python-idle >= 2.7.14-lp150.6.10.1
  • python-tk >= 2.7.14-lp150.6.10.1
  • python-tk-debuginfo >= 2.7.14-lp150.6.10.1
  • python3 >= 3.6.5-lp150.2.10.1
  • python3-32bit >= 3.6.5-lp150.2.10.1
  • python3-32bit-debuginfo >= 3.6.5-lp150.2.10.1
  • python3-curses >= 3.6.5-lp150.2.10.1
  • python3-curses-debuginfo >= 3.6.5-lp150.2.10.1
  • python3-dbm >= 3.6.5-lp150.2.10.1
  • python3-dbm-debuginfo >= 3.6.5-lp150.2.10.1
  • python3-debuginfo >= 3.6.5-lp150.2.10.1
  • python3-debugsource >= 3.6.5-lp150.2.10.1
  • python3-tk >= 3.6.5-lp150.2.10.1
  • python3-tk-debuginfo >= 3.6.5-lp150.2.10.1
Patchnames:
openSUSE-2019-1273
openSUSE-2019-1282
openSUSE Leap 15.1
  • libpython3_6m1_0 >= 3.6.10-lp151.6.7.1
  • libpython3_6m1_0-32bit >= 3.6.10-lp151.6.7.1
  • libpython3_6m1_0-32bit-debuginfo >= 3.6.10-lp151.6.7.1
  • libpython3_6m1_0-debuginfo >= 3.6.10-lp151.6.7.1
  • python3 >= 3.6.10-lp151.6.7.1
  • python3-32bit >= 3.6.10-lp151.6.7.1
  • python3-32bit-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-base >= 3.6.10-lp151.6.7.1
  • python3-base-32bit >= 3.6.10-lp151.6.7.1
  • python3-base-32bit-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-base-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-base-debugsource >= 3.6.10-lp151.6.7.1
  • python3-curses >= 3.6.10-lp151.6.7.1
  • python3-curses-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-dbm >= 3.6.10-lp151.6.7.1
  • python3-dbm-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-debugsource >= 3.6.10-lp151.6.7.1
  • python3-devel >= 3.6.10-lp151.6.7.1
  • python3-devel-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-idle >= 3.6.10-lp151.6.7.1
  • python3-testsuite >= 3.6.10-lp151.6.7.1
  • python3-testsuite-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-tk >= 3.6.10-lp151.6.7.1
  • python3-tk-debuginfo >= 3.6.10-lp151.6.7.1
  • python3-tools >= 3.6.10-lp151.6.7.1
Patchnames:
openSUSE-2020-86
openSUSE Leap 42.3
  • libpython3_4m1_0 >= 3.4.6-12.10.1
  • libpython3_4m1_0-32bit >= 3.4.6-12.10.1
  • libpython3_4m1_0-debuginfo >= 3.4.6-12.10.1
  • libpython3_4m1_0-debuginfo-32bit >= 3.4.6-12.10.1
  • python3 >= 3.4.6-12.10.2
  • python3-32bit >= 3.4.6-12.10.2
  • python3-base >= 3.4.6-12.10.1
  • python3-base-32bit >= 3.4.6-12.10.1
  • python3-base-debuginfo >= 3.4.6-12.10.1
  • python3-base-debuginfo-32bit >= 3.4.6-12.10.1
  • python3-base-debugsource >= 3.4.6-12.10.1
  • python3-curses >= 3.4.6-12.10.2
  • python3-curses-debuginfo >= 3.4.6-12.10.2
  • python3-dbm >= 3.4.6-12.10.2
  • python3-dbm-debuginfo >= 3.4.6-12.10.2
  • python3-debuginfo >= 3.4.6-12.10.2
  • python3-debuginfo-32bit >= 3.4.6-12.10.2
  • python3-debugsource >= 3.4.6-12.10.2
  • python3-devel >= 3.4.6-12.10.1
  • python3-devel-debuginfo >= 3.4.6-12.10.1
  • python3-idle >= 3.4.6-12.10.1
  • python3-testsuite >= 3.4.6-12.10.1
  • python3-testsuite-debuginfo >= 3.4.6-12.10.1
  • python3-tk >= 3.4.6-12.10.2
  • python3-tk-debuginfo >= 3.4.6-12.10.2
  • python3-tools >= 3.4.6-12.10.1
Patchnames:
openSUSE-2019-1371


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 python Released
CaaS Platform 2.0 python Released
CaaS Platform 3.0 python In progress
OpenStack Cloud Magnum Orchestration 7.0 python Released
SUSE Business Critical Linux 12 SP2 python In progress
SUSE Business Critical Linux 12 SP2 python3 Released
SUSE Business Critical Linux 12 SP3 python In progress
SUSE Linux Enterprise Desktop 10 SP3 python Unsupported
SUSE Linux Enterprise Desktop 10 SP4 python Unsupported
SUSE Linux Enterprise Desktop 11 GA python Unsupported
SUSE Linux Enterprise Desktop 11 SP1 python Unsupported
SUSE Linux Enterprise Desktop 11 SP2 python Unsupported
SUSE Linux Enterprise Desktop 11 SP3 python Unsupported
SUSE Linux Enterprise Desktop 11 SP4 python Unsupported
SUSE Linux Enterprise Desktop 12 GA python Unsupported
SUSE Linux Enterprise Desktop 12 GA python3 Unsupported
SUSE Linux Enterprise Desktop 12 SP1 python Unsupported
SUSE Linux Enterprise Desktop 12 SP1 python3 Unsupported
SUSE Linux Enterprise Desktop 12 SP2 python Unsupported
SUSE Linux Enterprise Desktop 12 SP2 python3 Unsupported
SUSE Linux Enterprise Desktop 12 SP3 python Released
SUSE Linux Enterprise Desktop 12 SP3 python3 Released
SUSE Linux Enterprise Desktop 12 SP4 python In progress
SUSE Linux Enterprise Desktop 12 SP4 python3 Released
SUSE Linux Enterprise High Performance Computing 12 python In progress
SUSE Linux Enterprise High Performance Computing 12 python3 Unsupported
SUSE Linux Enterprise Module for Basesystem 15 GA python Released
SUSE Linux Enterprise Module for Basesystem 15 GA python3 Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 python Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 python3 Released
SUSE Linux Enterprise Module for Desktop Applications 15 GA python Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 python Released
SUSE Linux Enterprise Module for Python2 15 SP1 python Released
SUSE Linux Enterprise Module for Web and Scripting 12 python3 Released
SUSE Linux Enterprise SDK 11 GA python Unsupported
SUSE Linux Enterprise SDK 11 SP1 python Unsupported
SUSE Linux Enterprise SDK 11 SP2 python Unsupported
SUSE Linux Enterprise SDK 11 SP3 python Unsupported
SUSE Linux Enterprise SDK 11 SP4 python Unsupported
SUSE Linux Enterprise SDK 12 SP4 python3 Released
SUSE Linux Enterprise Server 10 SP3 python Unsupported
SUSE Linux Enterprise Server 10 SP4 python Unsupported
SUSE Linux Enterprise Server 10 SP4 LTSS python Unsupported
SUSE Linux Enterprise Server 11 GA python Unsupported
SUSE Linux Enterprise Server 11 SP1 python Unsupported
SUSE Linux Enterprise Server 11 SP1 LTSS python Unsupported
SUSE Linux Enterprise Server 11 SP2 python Unsupported
SUSE Linux Enterprise Server 11 SP2 LTSS python Unsupported
SUSE Linux Enterprise Server 11 SP3 python Unsupported
SUSE Linux Enterprise Server 11 SP3 LTSS python Unsupported
SUSE Linux Enterprise Server 11 SP4 python Unsupported
SUSE Linux Enterprise Server 11 SP4 LTSS python Released
SUSE Linux Enterprise Server 12 GA python Unsupported
SUSE Linux Enterprise Server 12 GA python3 Unsupported
SUSE Linux Enterprise Server 12 GA LTSS python Unsupported
SUSE Linux Enterprise Server 12 GA LTSS python3 Released
SUSE Linux Enterprise Server 12 SP1 python Unsupported
SUSE Linux Enterprise Server 12 SP1 python3 Unsupported
SUSE Linux Enterprise Server 12 SP1 LTSS python In progress
SUSE Linux Enterprise Server 12 SP1 LTSS python3 Released
SUSE Linux Enterprise Server 12 SP2 python Unsupported
SUSE Linux Enterprise Server 12 SP2 python3 Unsupported
SUSE Linux Enterprise Server 12 SP2 LTSS python In progress
SUSE Linux Enterprise Server 12 SP2 LTSS python3 Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI python Unsupported
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI python3 Unsupported
SUSE Linux Enterprise Server 12 SP3 python Released
SUSE Linux Enterprise Server 12 SP3 python3 Released
SUSE Linux Enterprise Server 12 SP3 LTSS python In progress
SUSE Linux Enterprise Server 12 SP4 python In progress
SUSE Linux Enterprise Server 12 SP4 python3 Released
SUSE Linux Enterprise Server 12 SP5 python In progress
SUSE Linux Enterprise Server for SAP AIO 11 SP1 python Unsupported
SUSE Linux Enterprise Server for SAP Applications 11 SP2 python Unsupported
SUSE Linux Enterprise Server for SAP Applications 11 SP3 python Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 GA python Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 GA python3 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 python In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP2 python3 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 python In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP3 python3 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 python In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP4 python3 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 python In progress
SUSE Linux Enterprise Server for SAP ES 11 SP1 python Unsupported
SUSE Linux Enterprise Server for VMWare 11 SP2 python Unsupported
SUSE Linux Enterprise Server for VMWare 11 SP3 python Unsupported
SUSE Storage 5 python In progress